HMM_TWEAK(1)

NAME
hmm_tweak - Alter transition probabilities in an HMM definition file.

DESCRIPTION
Alter transition probabilities in an HMM definition file. After specified operations are performed, transition probabilities are renormalized and the adjusted file is written to standard out. This program may be used multiple times in a pipe.

USAGE
hmm_tweak [OPTIONS] <file.hmm> <cmap.cm>

OPTIONS

-f <cats>
    Operate on transitions *from* states corresponding to the specified category names (default all) -t <cats> Operate on transitions *to* states corresponding to the specified category names (default all) -m <fact> Multiply transition probabilities by the specified factor.

-a <const> Add the specified constant to transition probabilities. -e <val> Set transition probabilities equal to the specified value.

-i <icats> Assume a phylo-HMM indel model for states corresponding to

    the specified category names. -u <tree> (Required with -i) Assume given tree topology (.nh file). -F <gps> (For use with -i) Operate on transitions from states corresp. to the specified gap-pattern numbers (ANDed with -f).

-T <gps>
    (For use with -i) Operate on transitions to states corresp. to the specified gap-pattern numbers (ANDed with -t). -z Equalize transition probabilities. Set all transition probabilities indicated by -f/-t/-F/-T to their overall average value. Options -m and/or -a can be used to adjust this average value. -R Restrict to successive transitions within a category range. -y Like -z, except compute separate averages for five classes of transitions, based on the gap patterns of the states involved: between null gap patterns, between equal non-null gap patterns, from null to non-null gap patterns, from non-null to null gap patterns, and all others. Useful with the indel model when training data is sparse (e.g., for splice-site states). Options -m and -a will be applied to transitions of the 3rd and 5th classes described.

-h  Print this help message.